Subject: bug#5047: 23.1; emacs is failing to build on Fedora 12 64 bit

From: Praveen A <[email-masked]>
Date: Mon, 30 Nov 2009 14:49:16 +0530

2009/11/29 Jan Djärv <[email-masked]>:
> I've tried this on Fedora 12 and I do not get the error.
> Please show us the exact commands you do, and the output from
> gcc --version.
>
> Also check if you have any environment variable that may have impact on
> configure, such as CFLAGS, CPPFLAGS, GCC.  To make sure environment isn't
> the cause, try something like:
>
> % env -i HOME="$HOME" PATH="$PATH" SHELL="$SHELL" TERM="$TERM" ./configure
> ...
>
> I haven't tried that, so you may have to add some variables if configure
> complains.
>
> Thanks,
>
>        Jan D.
>

See https://bugzilla.redhat.com/show_bug.cgi?id=540921#c4

It is an issue with cpp 4.4.2, it does not happen with older version of cpp.

- Praveen

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign